## org.eclipse.emf.ecoretools.diagram.ui.outline.decorator
Class AbstractValidationMarkerDecorator

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.ui.outline.decorator.AbstractValidationMarkerDecorator

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILightweightLabelDecorator

    public abstract class AbstractValidationMarkerDecorator

extends java.lang.Object
implements org.eclipse.jface.viewers.ILightweightLabelDecorator

This label decorator displays additional icons for errors and warnings from EMF Validation Markers

Field Summary
`protected static org.eclipse.jface.resource.ImageDescriptor` `ERROR` Image Descriptor for the Error overall icon
`protected static org.eclipse.jface.resource.ImageDescriptor` `WARNING` Image Descriptor for the Warning overall icon

Constructor Summary
`AbstractValidationMarkerDecorator()`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`protected abstract IMarkerReader` `createMarkerReader()` Must be implemented to create the specific marker reader
`void` `decorate(java.lang.Object element, org.eclipse.jface.viewers.IDecoration decoration)`
`void` `dispose()`
`protected org.eclipse.jface.resource.ImageDescriptor` `getErrorImageDescriptor()` The image descriptor of the error decoration
`protected IMarkerReader` `getMarkerReader()` Get the specific marker reader
`protected org.eclipse.jface.resource.ImageDescriptor` `getWarningImageDescriptor()` The image descriptor of the warning decoration
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR

    protected static final org.eclipse.jface.resource.ImageDescriptor ERROR

  Image Descriptor for the Error overall icon

### WARNING

    protected static final org.eclipse.jface.resource.ImageDescriptor WARNING

  Image Descriptor for the Warning overall icon

Constructor Detail

### AbstractValidationMarkerDecorator

    public AbstractValidationMarkerDecorator()

Method Detail

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.dispose()`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.isLabelProperty(java.lang.Object, java.lang.String)`

### decorate

    public void decorate(java.lang.Object element,
                         org.eclipse.jface.viewers.IDecoration decoration)

  Specified by:
    `decorate` in interface `org.eclipse.jface.viewers.ILightweightLabelDecorator`
  See Also:
    `ILightweightLabelDecorator.decorate(java.lang.Object, org.eclipse.jface.viewers.IDecoration)`

### getMarkerReader

    protected IMarkerReader getMarkerReader()

  Get the specific marker reader

  Returns:
    the IMarkerReader

### createMarkerReader

    protected abstract IMarkerReader createMarkerReader()

  Must be implemented to create the specific marker reader

  Returns:
    the IMarkerReader

### getErrorImageDescriptor

    protected org.eclipse.jface.resource.ImageDescriptor getErrorImageDescriptor()

  The image descriptor of the error decoration

  Returns:
    the ImageDescriptor of the error decoration

### getWarningImageDescriptor

    protected org.eclipse.jface.resource.ImageDescriptor getWarningImageDescriptor()

  The image descriptor of the warning decoration

  Returns:
    the ImageDescriptor of the warning decoration

Copyright 2007 Anyware Technologies. All Rights Reserved.